overloading(3)

NAME
overloading - perl pragma to lexically control overloading

SYNOPSIS
    {
        no overloading;
        my $str = "$object"; # doesn't call stringification overload
    }

    # it's lexical, so this stringifies:
    warn "$object";

    # it can be enabled per op
    no overloading qw("");
    warn "$object";

    # and also reenabled
    use overloading;

DESCRIPTION
This pragma allows you to lexically disable or enable overloading.

"no overloading"
    Disables overloading entirely in the current lexical scope.

"no overloading @ops"
    Disables only specific overloads in the current lexical scope.

"use overloading"
    Reenables overloading in the current lexical scope.

"use overloading @ops"
    Reenables overloading only for specific ops in the current lexical scope.